aboutsummaryrefslogtreecommitdiff
path: root/test/lint
diff options
context:
space:
mode:
authorSjors Provoost <sjors@sprovoost.nl>2024-03-21 13:12:19 +0100
committerSjors Provoost <sjors@sprovoost.nl>2024-03-21 13:12:19 +0100
commit3bf4f8db669e1e274ce2633cf84add2938b9914b (patch)
tree440509c89fbbc46023b91e375046a4eb98ba64c3 /test/lint
parent71b63195b30b2fa0dff20ebb262ce7566dd5d673 (diff)
downloadbitcoin-3bf4f8db669e1e274ce2633cf84add2938b9914b.tar.xz
lint: scripted-diff verification also requires GNU grep
Diffstat (limited to 'test/lint')
-rwxr-xr-xtest/lint/commit-script-check.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/test/lint/commit-script-check.sh b/test/lint/commit-script-check.sh
index 55c9528dea..fe845ed19e 100755
--- a/test/lint/commit-script-check.sh
+++ b/test/lint/commit-script-check.sh
@@ -22,6 +22,11 @@ if ! sed --help 2>&1 | grep -q 'GNU'; then
exit 1;
fi
+if ! grep --help 2>&1 | grep -q 'GNU'; then
+ echo "Error: the installed grep package is not compatible. Please make sure you have GNU grep installed in your system.";
+ exit 1;
+fi
+
RET=0
PREV_BRANCH=$(git name-rev --name-only HEAD)
PREV_HEAD=$(git rev-parse HEAD)